AOZ Studio Beta - Bug #768

Timeout Transpiling large code
05/31/2021 09:14 AM - malcolm harvey

Status: Closed Start date: 05/31/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

Currently there is an issue when transpiling large code.

It seams in the current V7, it starts off ok transpiling but then after not to long at all, it comes up with A timeout message giving the
option to wait or force close, the editor is not responding (see attachment), but the process "Build and Run" continues ok in the
background if you do nothing.

ie: If you ignore the messages it continues on and runs or executes at the end ok, so as long as you click wait when it finally runs, it
works fine. It can along the way when transpiling, if you press the wait when not responding messages come up, it goes away, but
can come up with the same message three times at least before complete.

Note: It was not in RC3 or prior or even (1.0.0 Betal never a timeout that | remember its been a while now.)

It certainly has continued on in all versions recently well for at least the last 2,3/4 possibly.

History

#1 - 06/07/2021 09:27 PM - malcolm harvey
- Affected version changed from 1.0.0 (B7) to 1.0.0 (B8)

Same in V8 as above.

#2 - 11/17/2022 09:45 PM - malcolm harvey

- Status changed from New to Closed

This has since been corrected certainly by U25.
Closed.
